@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@200;300;400;500;700;900&display=swap');

/* resetting all elements */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
p{
    margin-bottom: 0px;
}
/* resetting html element */
html{
    font-size: 16px;
    scroll-behavior: smooth;
}
/* style body element */
body{
    font-family: 'Montserrat', sans-serif;
    background-color: #fff;
    line-height: unset;
}
/* variables */
:root{
    /* 1vw ~= 19px */
    --bg-menu: rgb(255, 255, 81);
    --h1-font-size: 4.2vw;      /* 80px in large screen */
    --p-font-size: 1.1vw;      /* 20px */
    --marquee-text-size: 2vw;   /* 38px */
    --btn-font-size: 1.3vw;     /* 1.5rem */
    --location-font-size: 2.5vw;  /* 3rem */
    --footer-p-font-size: 1.1vw;
    --social-link-font-size: 1.5vw;   /* 2rem */
    --footer-p-font-size: 1.1vw;
    --p-letter-spacing: 0.26vw;    /* 5px */
    --p-letter-spacing-large: 1.1vw;       /* 20px */
    --tb-padding-small: 1vw;      /* 20px */
    --lr-padding-small: 3.6vw;       /* 70px */
    --tb-padding-large: 2vw;       /* 40px */
    --lr-padding-large: 6.6vw;       /* 120px */
    --p-line-height: 1.6vw;      /* 30px */
    --border-black: 1px solid #000;
    --border-white: 1px solid #dfdfdf;
    --bg-hover-card: rgba(144, 238, 144, .6);
}


/* Header, nav bar */
header{
    width: 100vw;
    height: 10vh;
    position: fixed;
    top: 0px;
    left: 0px;
    z-index: 100;
    padding: 1rem 2rem;
    background-color: rgba(240, 240, 240, 0.5);
    backdrop-filter: blur(15px);
    display: flex;
    align-items: center;
    justify-content: space-between;
}
header > .header-logo{
    height: 100%;
    display: flex;
    align-items: center;
    column-gap: 0.5vw;
}
.header-logo > div{
    height: 100%;
}
.header-logo > div > img{
    height: 100%;
}
header a{
    text-decoration: none;
    color: black;
    font-weight: bold;
    font-size: var(--p-font-size);
}
header a:hover{
    text-decoration: none;
    color: black;
}

/* footer */
footer{
    width: 100%;
    background-color: #222;
    display: flex;
    flex-direction: column;
    border-bottom: var(--border-white);
}
.bottom-nav{
    width: 100%;
    display: flex;
    flex-direction: row;
}
.bottom-nav > div:nth-child(1){
    width: 50%;
    padding: 5rem;
    display: grid;
    grid-template-columns: auto auto auto;
    row-gap: .8rem;
    border-right: var(--border-white);
}
.bottom-nav > div:nth-child(1) a{
    text-decoration: none;
    color: #fff;
    text-transform: uppercase;
    font-size: var(--p-font-size);
    font-weight: bold;
}
.bottom-nav > div:nth-child(2){
    width: 50%;
    display: flex;
    flex-direction: row;
}
.bottom-nav > div:nth-child(2) > div{
    width: 50%;
    padding: 5px 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    font-size: var(--footer-p-font-size);
    color: #fff;
}
.bottom-nav > div:nth-child(2) > div:nth-child(1){
    border-right: var(--border-white);
}
.bottom-nav > div:nth-child(2) > div:nth-child(1) > div{
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
}
.bottom-nav > div:nth-child(2) > div:nth-child(1) > div > img{
    width: 20%;
}
.bottom-nav > div:nth-child(2) > div:nth-child(2) > img{
    width: 60%;
}
.footer-info{
    width: 100%;
    padding: 1.5rem 3rem;
    border-top: var(--border-white);
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.footer-info p{
    color: #fff;
    text-transform: capitalize;
    font-size: 0.8rem;
}

/* media queries */
/* media queries for mobile */
@media screen and  (min-width: 320px) and (max-width: 768px) {
    :root{
        --bg-menu: rgb(255, 81, 81);
        --h1-font-size: 9vw;
        --p-font-size: 3.6vw;
        --marquee-text-size: 5vw;   
        --btn-font-size: 4vw;     
        --location-font-size: 4vw;  
        --social-link-font-size: 3vw;
        --footer-p-font-size: 2.8vw;
        --p-letter-spacing: 0.52vw;   
        --p-letter-spacing-large: 1.1vw;       
        --lr-padding-small: 6vw;     
        --p-line-height: 4.5vw;      
    }
    /* Header, nav bar */
    header{
        height: 8vh;
        padding: 0.8rem 1rem;
    }
    header > .header-logo{
        column-gap: 1vw;
    }
    header a{
        font-size: var(--btn-font-size);
    }
    /* footer */
    .bottom-nav{
        flex-direction: column;
    }
    .bottom-nav > div:nth-child(1){
        width: 100%;
        padding: 2rem;
        display: grid;
        grid-template-columns: auto auto auto;
        row-gap: .5rem;
        border-right: none;
        border-bottom: var(--border-white);
    }
    .bottom-nav > div:nth-child(2){
        width: 100%;
    }
    .bottom-nav > div:nth-child(2) div{
        font-size: var(--footer-p-font-size);
    }
    .bottom-nav > div:nth-child(2) > div:nth-child(1) > img{
        width: 15%;
    }
    .bottom-nav > div:nth-child(2) > div:nth-child(2) > img{
        width: 50%;
    }
    .bn-col *{
        padding-top: 5px;
    }
    .footer-info{
        padding: 1.5rem;
    }
    .footer-info p{
        font-size: 0.5rem;
    }
}
/* end media queries for mobile */

/* media queries for tablet */
@media screen and  (min-width: 769px) and (max-width: 1024px) {

}
/* end media queries for tablet */


/* media queries for laptop */
@media screen and  (min-width: 1025px) and (max-width: 1440px) {
    
}
/* end media queries for laptop */
